Open SCAP Library

Data Structures | Macros
_probe-api.h File Reference

probe API private header file More...

`#include <stdarg.h>`
`#include "public/probe-api.h"`
`#include "probe/ncache.h"`
`#include "probe/rcache.h"`
`#include "common/util.h"`

Go to the source code of this file.

## Data Structures
struct | id_desc_t
| Holds information for item ids generation. More...

## Macros
#define | _PROBE_API_H
#define | SEAP_LOCK pthread_mutex_lock (&globals.seap_lock)
#define | SEAP_UNLOCK pthread_mutex_unlock (&globals.seap_lock)

## Detailed Description

probe API private header file

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m